Skip to main content
GET
/
markets
/
{ticker}
Get Market
curl --request GET \
  --url https://api.totalis.trade/markets/{ticker} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "ticker": "<string>",
    "event_ticker": "<string>",
    "series_ticker": "<string>",
    "title": "<string>",
    "subtitle": "<string>",
    "yes_sub_title": "<string>",
    "no_sub_title": "<string>",
    "bet_group": "<string>",
    "category": "<string>",
    "subcategory": "<string>",
    "frequency": "<string>",
    "status": "<string>",
    "yes_bid": 123,
    "yes_ask": 123,
    "no_bid": 123,
    "no_ask": 123,
    "last_price": 123,
    "price_to_beat": 123,
    "volume": 123,
    "volume_24h": 123,
    "open_interest": 123,
    "venue_url": "<string>",
    "open_time": "2023-11-07T05:31:56Z",
    "close_time": "2023-11-07T05:31:56Z",
    "expiration_time": "2023-11-07T05:31:56Z",
    "exclusion_keys": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

Kalshi market ticker or Polymarket condition_id.

Maximum string length: 160
Pattern: ^[A-Za-z0-9_.:-]+$

Query Parameters

venue
enum<string>

Optional venue hint. Use this when the caller already knows whether the ticker belongs to Kalshi or Polymarket. Source venue for a market.

Available options:
kalshi,
polymarket

Response

Market details

data
object